using ImageMagick;
using PosterMaker.Models.Enums;

namespace PosterMaker.Interfaces.Services;

public interface IMovieLogoService
{
    /// <summary>
    /// 
    /// </summary>
    /// <param name="logo"></param>
    /// <returns></returns>
    byte[]? GetMovieLogo(MovieLogoEnum? logo);
    
    /// <summary>
    /// 
    /// </summary>
    /// <param name="imagePropertiesLogo"></param>
    /// <returns></returns>
    Gravity GetLogoGravity(MovieLogoEnum? imagePropertiesLogo);
    
    /// <summary>
    /// 
    /// </summary>
    /// <param name="logo"></param>
    /// <returns></returns>
    byte[]? GetNetworkLogo(NetworkLogoEnum? logo);

    int GetNetworkLogoHeight(NetworkLogoEnum? logo);

    MagickGeometry GetLogoGeometry(MovieLogoEnum? logoEnum);
}